Skip to main content

Experience Slug Actions

https://api.app.wnology.io/applications/APPLICATION_ID/experience/slugs/EXPERIENCE_SLUG_ID

Below are the various requests that can be performed against the Experience Slug resource, as well as the expected parameters and the potential responses.

Delete​

Deletes an experience slug

Method And Url​

DELETE https://api.app.wnology.io/applications/APPLICATION_ID/experience/slugs/EXPERIENCE_SLUG_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Organization, all.User, experienceSlug.*, or experienceSlug.delete.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
EXPERIENCE_SLUG_IDID associated with the experience slug575ed78e7ae143cd83dc4aab

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X DELETE \
https://api.app.wnology.io/applications/APPLICATION_ID/experience/slugs/EXPERIENCE_SLUG_ID

Successful Responses​

CodeTypeDescription
200SuccessIf experience slug was successfully deleted

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if experience slug was not found

Get​

Retrieves information on an experience slug

Method And Url​

GET https://api.app.wnology.io/applications/APPLICATION_ID/experience/slugs/EXPERIENCE_SLUG_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.read, all.Organization, all.Organization.read, all.User, all.User.read, experienceSlug.*, or experienceSlug.get.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
EXPERIENCE_SLUG_IDID associated with the experience slug575ed78e7ae143cd83dc4aab

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.app.wnology.io/applications/APPLICATION_ID/experience/slugs/EXPERIENCE_SLUG_ID

Successful Responses​

CodeTypeDescription
200Experience SlugExperience slug information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if experience slug was not found

Patch​

Updates information about an experience slug

Method And Url​

PATCH https://api.app.wnology.io/applications/APPLICATION_ID/experience/slugs/EXPERIENCE_SLUG_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Organization, all.User, experienceSlug.*, or experienceSlug.patch.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
EXPERIENCE_SLUG_IDID associated with the experience slug575ed78e7ae143cd83dc4aab

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Experience Slug Patch schema. For example, the following would be a valid body for this request:

{
"slug": "my-new-slug",
"version": null
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X PATCH \
-d '{"slug":"my-new-slug","version":null}' \
https://api.app.wnology.io/applications/APPLICATION_ID/experience/slugs/EXPERIENCE_SLUG_ID

Successful Responses​

CodeTypeDescription
200Experience SlugUpdated experience slug information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if experience slug was not found

Schemas​

Error​

Schema for errors returned by the API

Error Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 2 keys
      • ▶
        {} 1 key
        • ▶
          {} 1 key

      Error Example​

      • ▶
        {} 2 keys
        • "NotFound"
        • "Application was not found"

      Experience Slug​

      Schema for a single Experience Slug

      Experience Slug Schema​

      • ▶
        {} 3 keys
        • "http://json-schema.org/draft-07/schema#"
        • "object"
        • ▶
          {} 7 keys
          • ▶
            {} 2 keys
            • ▶
              {} 2 keys
              • ▶
                {} 2 keys
                • ▶
                  {} 2 keys
                  • ▶
                    {} 2 keys
                    • ▶
                      {} 4 keys
                      • ▶
                        {} 3 keys

                    Experience Slug Example​

                    • ▶
                      {} 7 keys
                      • "5b995e51ea9994b50d745284"
                      • "5b995e51ea9994b50d745284"
                      • "575ec8687ae143cd83dc4a97"
                      • "2016-06-13T04:00:00.000Z"
                      • "2016-06-13T04:00:00.000Z"
                      • "my-custom-slug"
                      • "develop"

                    Experience Slug Patch​

                    Schema for the body of an Experience Slug modification request

                    Experience Slug Patch Schema​

                    • ▶
                      {} 4 keys
                      • "http://json-schema.org/draft-07/schema#"
                      • "object"
                      • ▶
                        {} 2 keys
                        • ▶
                          {} 1 key
                          • ▶
                            {} 4 keys
                          • false

                        Experience Slug Patch Example​

                        • ▶
                          {} 2 keys
                          • "my-new-slug"
                          • null

                        Success​

                        Schema for reporting a successful operation

                        Success Schema​

                        • ▶
                          {} 3 keys
                          • "http://json-schema.org/draft-07/schema#"
                          • "object"
                          • ▶
                            {} 1 key
                            • ▶
                              {} 2 keys

                          Success Example​

                          • ▶
                            {} 1 key
                            • true

                          Was this page helpful?


                          Still looking for help? You can also search the WEGnology Forums or submit your question there.